<?php
/**
 * ------------------------------------------------------------------------
 * JA Smallbiz Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;

$count = $helper->count('gallery-image');
$col = $helper->get('number_col');
$viewType = $helper->get('view_type');
?>
<div id="acm-gallery-<?php echo $module->id ;?>" class="acm-gallery <?php if($helper->get('effect')) echo 'has-effect' ;?> clearfix">

  <?php if($viewType) :?>
  <div class="owl-carousel owl-theme">
  <?php endif ;?>

		<?php
      for ($i=0; $i < $count; $i++) :
    ?>
		<div class="item col-xs-6 col-sm-3 col-md-<?php echo (12/$col); ?>" data-delay="<?php echo $i;?>">
      <div class="item-inner">
        <a class="gallery-link" href="<?php echo $helper->get('data.title-link',$i); ?>">
          <img src="<?php echo $helper->get('gallery-image', $i); ?>" alt="" />
        </a>
      </div>
		</div>
		<?php endfor; ?>

  <?php if($viewType) :?>
  </div>
  <?php endif ;?>
</div>


<?php if($helper->get('effect')) : ?>
<script>
// Add Inview
jQuery(window).ready(function () {
  jQuery('#acm-gallery-<?php echo $module->id ;?>').bind('inview', function(event, visible) {
    if (visible) {
      jQuery(this).addClass('acm-inview');
    }
  });
});
</script>
<?php endif ; ?>

<script>
(function($){
  jQuery(document).ready(function($) {
    $("#acm-gallery-<?php echo $module->id; ?> .owl-carousel").owlCarousel({
      items: <?php echo $col ;?>,
      singleItem : false,
      itemsScaleUp : true,
      navigation : true,
      navigationText : ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
      pagination: false,
      paginationNumbers : false,
      merge: false,
      mergeFit: true,
      slideBy: 1,
      autoPlay: false
    });
  });
})(jQuery);
</script>